Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.security
Class XKMSCryptoClient

    java.lang.Object
      org.wso2.wsas.security.XKMSCryptoClient

    public class XKMSCryptoClient

extends java.lang.Object

Constructor Summary
`XKMSCryptoClient()`

Method Summary
`static org.apache.axiom.om.OMElement` | `buildElement(org.apache.axiom.om.OMElement element)`
`static org.wso2.xkms2.Authentication` | `createAuthenticate()`
`static org.wso2.xkms2.LocateRequest` | `createLocateRequest()`
`static org.wso2.xkms2.PrototypeKeyBinding` | `createPrototypeKeyBinding()`
`static org.wso2.xkms2.QueryKeyBinding` | `createQueryKeyBinding()`
`static org.wso2.xkms2.RecoverKeyBinding` | `createRecoverKeyBinding()`
`static org.wso2.xkms2.RecoverRequest` | `createRecoverRequest()`
`static org.wso2.xkms2.RegisterRequest` | `createRegisterRequest()`
`static org.wso2.xkms2.ReissueKeyBinding` | `createReissueKeyBinding()`
`static org.wso2.xkms2.ReissueRequest` | `createReissueRequest()`
`static org.wso2.xkms2.ValidateRequest` | `createValidateRequest()`
`static java.lang.String[]` | `getAliasesForDN(java.lang.String subjectDN, java.lang.String serviceURL)`
`static java.lang.String` | `getAliasForX509Certificate(byte[] skiValue, java.lang.String serviceURL)`
`static java.lang.String` | `getAliasForX509Certificate(java.security.cert.X509Certificate cert, java.lang.String serviceURL)`
`static java.security.cert.X509Certificate[]` | `getCertificates(java.lang.String alias, java.lang.String serviceURL)`
`static java.security.PrivateKey` | `getPrivateKey(java.lang.String alias, java.lang.String serverURL, java.lang.String passPhrase)`
`static org.apache.axiom.om.OMElement` | `sendReceive(org.apache.axiom.om.OMElement element, java.lang.String serviceURL)`
`static boolean` | `validateCertPath(java.security.cert.Certificate[] certs, java.lang.String serviceURL)`
`static boolean` | `validateCertPath(java.security.cert.X509Certificate cert, java.lang.String serviceURL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XKMSCryptoClient

    public XKMSCryptoClient()

Method Detail

### getPrivateKey

    public static java.security.PrivateKey getPrivateKey(java.lang.String alias,
                                                         java.lang.String serverURL,
                                                         java.lang.String passPhrase)

### getCertificates

    public static java.security.cert.X509Certificate[] getCertificates(java.lang.String alias,
                                                                       java.lang.String serviceURL)

### getAliasForX509Certificate

    public static java.lang.String getAliasForX509Certificate(java.security.cert.X509Certificate cert,
                                                              java.lang.String serviceURL)

### getAliasForX509Certificate

    public static java.lang.String getAliasForX509Certificate(byte[] skiValue,
                                                              java.lang.String serviceURL)

### getAliasesForDN

    public static java.lang.String[] getAliasesForDN(java.lang.String subjectDN,
                                                     java.lang.String serviceURL)

### validateCertPath

    public static boolean validateCertPath(java.security.cert.Certificate[] certs,
                                           java.lang.String serviceURL)

### validateCertPath

    public static boolean validateCertPath(java.security.cert.X509Certificate cert,
                                           java.lang.String serviceURL)

### createRegisterRequest

    public static org.wso2.xkms2.RegisterRequest createRegisterRequest()

### createAuthenticate

    public static org.wso2.xkms2.Authentication createAuthenticate()

### createPrototypeKeyBinding

    public static org.wso2.xkms2.PrototypeKeyBinding createPrototypeKeyBinding()

### createQueryKeyBinding

    public static org.wso2.xkms2.QueryKeyBinding createQueryKeyBinding()

### createReissueRequest

    public static org.wso2.xkms2.ReissueRequest createReissueRequest()

### createReissueKeyBinding

    public static org.wso2.xkms2.ReissueKeyBinding createReissueKeyBinding()

### createRecoverKeyBinding

    public static org.wso2.xkms2.RecoverKeyBinding createRecoverKeyBinding()

### createRecoverRequest

    public static org.wso2.xkms2.RecoverRequest createRecoverRequest()

### createValidateRequest

    public static org.wso2.xkms2.ValidateRequest createValidateRequest()

### createLocateRequest

    public static org.wso2.xkms2.LocateRequest createLocateRequest()

### sendReceive

    public static org.apache.axiom.om.OMElement sendReceive(org.apache.axiom.om.OMElement element,
                                                            java.lang.String serviceURL)
                                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### buildElement

    public static org.apache.axiom.om.OMElement buildElement(org.apache.axiom.om.OMElement element)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD